| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT > Struct Template Reference

`#include <ParserGrammar.h>`

Collaboration diagram for Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >:

[legend]
List of all members.

## Detailed Description

### template<typename ScannerT>
struct Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >

Definition at line 137 of file ParserGrammar.h.

## Public Member Functions
| definition (RealUnitsGrammar const &self)
boost::spirit::rule< ScannerT > const & | start () const
## Public Attributes
RealGrammar< long double > | grReal
IntGrammar< int > | grInt
IdentifierGrammar | grUnit
boost::spirit::rule< ScannerT > | real_literal

## Constructor & Destructor Documentation

template<typename ScannerT>

Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::definition | ( | RealUnitsGrammar const & | self | ) | `[inline]`

Definition at line 139 of file ParserGrammar.h.

References Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::grInt, Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::grReal, Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::grUnit, Gaudi::Parsers::RealUnitsGrammar::matchPosition(), Gaudi::Parsers::RealUnitsGrammar::matchReal(), Gaudi::Parsers::RealUnitsGrammar::matchRealUnits(), Gaudi::Parsers::RealUnitsGrammar::matchUnit(), and Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::real_literal.

    00140         {
    00141           real_literal
    00142             = (
    00143                longest_d[grInt[boost::bind(&RealUnitsGrammar::matchReal,&self,_1)]
    00144                 |grReal[boost::bind(&RealUnitsGrammar::matchReal,&self,_1)]]
    00145                >> eps_p[boost::bind(&RealUnitsGrammar::matchPosition,&self,_2)]
    00146                >>!(!ch_p('*')
    00147                >>grUnit
    00148                [boost::bind(&RealUnitsGrammar::matchUnit,&self,_1)]
    00149                )) [boost::bind(&RealUnitsGrammar::matchRealUnits,&self)];
    00150         }

## Member Function Documentation

template<typename ScannerT>

boost::spirit::rule<ScannerT> const& Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::start | ( |  | ) | const`[inline]`

Definition at line 154 of file ParserGrammar.h.

References Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::real_literal.

    00155         { return real_literal; }

## Member Data Documentation

template<typename ScannerT>

RealGrammar<long double> Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::grReal

Definition at line 151 of file ParserGrammar.h.

Referenced by Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::definition().

template<typename ScannerT>

IntGrammar<int> Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::grInt

Definition at line 152 of file ParserGrammar.h.

Referenced by Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::definition().

template<typename ScannerT>

IdentifierGrammar Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::grUnit

Definition at line 153 of file ParserGrammar.h.

Referenced by Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::definition().

template<typename ScannerT>

boost::spirit::rule<ScannerT> Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::real_literal

Definition at line 156 of file ParserGrammar.h.

Referenced by Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::definition(), and Gaudi::Parsers::RealUnitsGrammar::definition< ScannerT >::start().

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/JobOptionsSvc/ParserGrammar.h